package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;
import org.seasar.extension.jdbc.CallableStatementFactory;

/**
 * @author higa
 *  
 */
public abstract class AbstractStaticCommand extends AbstractSqlCommand {

	private BeanMetaData beanMetaData_;

	public AbstractStaticCommand(DataSource dataSource,
			CallableStatementFactory callableStatementFactory,
			BeanMetaData beanMetaData) {

		super(dataSource, callableStatementFactory);
		beanMetaData_ = beanMetaData;
	}

	public BeanMetaData getBeanMetaData() {
		return beanMetaData_;
	}
}